Bug 560511 - Unable to switch user from KDE under GDM
Unable to switch user from KDE under GDM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
: FutureFeature, Reopened
: 458616 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-31 19:29 EST by amachu
Modified: 2010-11-17 18:29 EST (History)
14 users (show)

See Also:
Fixed In Version: kdebase-workspace-4.4.5-2.fc12
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-17 18:18:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 186198 None None None Never

  None (edit)
Description amachu 2010-01-31 19:29:32 EST
Description of problem:

Unable to switch user from a KDE session


Version-Release number of selected component (if applicable):


How reproducible:

1) Installed Fedora 12.
2) Installed KDE components.
3) Created more than one user.
4) Logged in as one user1.
5) KDE Menu --> Leave --> Switch User
6) Warning New Session window appears
7) The Unlock screen appears instead of Login screen.


Steps to Reproduce:
1. Install KDE
2. Create more than one user.
3. Log in as one user1
4. KDE Menu --> Leave --> Switch User
5. Warning New Session window will appear
6. The Unlock screen appears instead of Login screen.
  
Actual results:

The unlock screen appears.

Expected results:

The Login screen should appear for switching between users.

Additional info:

None
Comment 1 Kevin Kofler 2010-02-01 09:51:56 EST
User switching in KDE only works if you use KDM. (Likewise, in GNOME it only works if you're using GDM.) Yes, this sucks.

I wonder if there's any chance we can implement GDM-style user switching in KDE.
Comment 2 Steven M. Parrish 2010-02-18 18:23:59 EST
Closing as NOTABUG.  To resolve this issue please install and use KDM 

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Kevin Kofler 2010-10-27 12:57:17 EDT
We have upstream support for this feature now, which we're working on backporting from upstream 4.6 trunk to 4.5. (I'm not sure whether we'll issue an updated 4.4.5 build for F12 though.)
Comment 4 Kevin Kofler 2010-10-27 12:57:46 EDT
*** Bug 458616 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2010-11-03 19:24:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2010-11-03 20:18:15 EDT
kdebase-workspace-4.4.5-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/kdebase-workspace-4.4.5-2.fc12
Comment 7 Kevin Kofler 2010-11-04 05:55:04 EDT
For Rawhide, this was fixed in kdebase-workspace-4.5.2-5.fc15. For F13 and F14, the fix will be included in our KDE 4.5.3 update.
Comment 8 Fedora Update System 2010-11-04 19:30:50 EDT
kdebase-workspace-4.4.5-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-workspace'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/kdebase-workspace-4.4.5-2.fc12
Comment 9 Fedora Update System 2010-11-09 10:14:48 EST
akonadi-1.4.1-2.fc14,kde-plasma-yawp-0.3.5-4.fc14,kdeaccessibility-4.5.3-1.fc14,kdeadmin-4.5.3-1.fc14,kdeartwork-4.5.3-1.fc14,kdebase-4.5.3-1.fc14,kdebase-runtime-4.5.3-1.fc14,kdebase-workspace-4.5.3-2.fc14,kdebindings-4.5.3-1.fc14,kdeedu-4.5.3-2.fc14,kdegames-4.5.3-1.fc14,kdegraphics-4.5.3-2.fc14,kdelibs-4.5.3-1.fc14,kdemultimedia-4.5.3-1.fc14,kdenetwork-4.5.3-2.fc14,kdepimlibs-4.5.3-1.fc14,kdeplasma-addons-4.5.3-1.fc14,kdesdk-4.5.3-3.fc14,kdetoys-4.5.3-1.fc14,kdeutils-4.5.3-1.fc14,oxygen-icon-theme-4.5.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/akonadi-1.4.1-2.fc14,kde-plasma-yawp-0.3.5-4.fc14,kdeaccessibility-4.5.3-1.fc14,kdeadmin-4.5.3-1.fc14,kdeartwork-4.5.3-1.fc14,kdebase-4.5.3-1.fc14,kdebase-runtime-4.5.3-1.fc14,kdebase-workspace-4.5.3-2.fc14,kdebindings-4.5.3-1.fc14,kdeedu-4.5.3-2.fc14,kdegames-4.5.3-1.fc14,kdegraphics-4.5.3-2.fc14,kdelibs-4.5.3-1.fc14,kdemultimedia-4.5.3-1.fc14,kdenetwork-4.5.3-2.fc14,kdepimlibs-4.5.3-1.fc14,kdeplasma-addons-4.5.3-1.fc14,kdesdk-4.5.3-3.fc14,kdetoys-4.5.3-1.fc14,kdeutils-4.5.3-1.fc14,oxygen-icon-theme-4.5.3-1.fc14
Comment 10 Fedora Update System 2010-11-09 10:23:17 EST
akonadi-1.4.1-2.fc13,kde-plasma-yawp-0.3.5-4.fc13,kdeaccessibility-4.5.3-1.fc13,kdeadmin-4.5.3-1.fc13,kdeartwork-4.5.3-1.fc13,kdebase-4.5.3-1.fc13,kdebase-runtime-4.5.3-1.fc13,kdebase-workspace-4.5.3-2.fc13,kdebindings-4.5.3-1.fc13,kdeedu-4.5.3-2.fc13,kdegames-4.5.3-1.fc13,kdegraphics-4.5.3-2.fc13,kdelibs-4.5.3-1.fc13,kdemultimedia-4.5.3-1.fc13,kdenetwork-4.5.3-2.fc13,kdepimlibs-4.5.3-1.fc13,kdeplasma-addons-4.5.3-1.fc13,kdesdk-4.5.3-3.fc13,kdetoys-4.5.3-1.fc13,kdeutils-4.5.3-1.fc13,oxygen-icon-theme-4.5.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/akonadi-1.4.1-2.fc13,kde-plasma-yawp-0.3.5-4.fc13,kdeaccessibility-4.5.3-1.fc13,kdeadmin-4.5.3-1.fc13,kdeartwork-4.5.3-1.fc13,kdebase-4.5.3-1.fc13,kdebase-runtime-4.5.3-1.fc13,kdebase-workspace-4.5.3-2.fc13,kdebindings-4.5.3-1.fc13,kdeedu-4.5.3-2.fc13,kdegames-4.5.3-1.fc13,kdegraphics-4.5.3-2.fc13,kdelibs-4.5.3-1.fc13,kdemultimedia-4.5.3-1.fc13,kdenetwork-4.5.3-2.fc13,kdepimlibs-4.5.3-1.fc13,kdeplasma-addons-4.5.3-1.fc13,kdesdk-4.5.3-3.fc13,kdetoys-4.5.3-1.fc13,kdeutils-4.5.3-1.fc13,oxygen-icon-theme-4.5.3-1.fc13
Comment 11 Fedora Update System 2010-11-17 18:17:57 EST
kdegames-4.5.3-3.fc14, kdebase-workspace-4.5.3-3.fc14, kdebase-runtime-4.5.3-3.fc14, kdepimlibs-4.5.3-2.fc14, akonadi-1.4.1-2.fc14, kde-plasma-yawp-0.3.5-4.fc14, kdeaccessibility-4.5.3-1.fc14, kdeadmin-4.5.3-1.fc14, kdeartwork-4.5.3-1.fc14, kdebase-4.5.3-1.fc14, kdebindings-4.5.3-1.fc14, kdeedu-4.5.3-2.fc14, kdegraphics-4.5.3-2.fc14, kdelibs-4.5.3-1.fc14, kdemultimedia-4.5.3-1.fc14, kdenetwork-4.5.3-2.fc14, kdeplasma-addons-4.5.3-1.fc14, kdesdk-4.5.3-3.fc14, kdetoys-4.5.3-1.fc14, kdeutils-4.5.3-1.fc14, oxygen-icon-theme-4.5.3-1.fc14, kde-l10n-4.5.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-11-17 18:19:55 EST
kdebase-workspace-4.4.5-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-11-17 18:29:17 EST
kdebase-workspace-4.5.3-3.fc13, akonadi-1.4.1-2.fc13, kde-plasma-yawp-0.3.5-4.fc13, kdeaccessibility-4.5.3-1.fc13, kdeadmin-4.5.3-1.fc13, kdeartwork-4.5.3-1.fc13, kdebase-4.5.3-1.fc13, kdebindings-4.5.3-1.fc13, kdeedu-4.5.3-2.fc13, kdegraphics-4.5.3-2.fc13, kdelibs-4.5.3-1.fc13, kdemultimedia-4.5.3-1.fc13, kdenetwork-4.5.3-2.fc13, kdeplasma-addons-4.5.3-1.fc13, kdesdk-4.5.3-3.fc13, kdetoys-4.5.3-1.fc13, kdeutils-4.5.3-1.fc13, oxygen-icon-theme-4.5.3-1.fc13, kde-l10n-4.5.3-1.fc13, kdegames-4.5.3-3.fc13, kdebase-runtime-4.5.3-3.fc13, kdepimlibs-4.5.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.